Bug 1686645 - Remove empty else block.
Summary: Remove empty else block.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libdnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Packaging Maintenance Team
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On: 1679648
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 23:08 UTC by Ryan Blakley
Modified: 2020-11-14 13:57 UTC (History)
3 users (show)

Fixed In Version: libdnf-0.33.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:30 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:41 UTC

Description Ryan Blakley 2019-03-07 23:08:37 UTC
Description of problem: While looking into another issue I noticed an empty else block. I don't think it will cause any issues per se, just figured I'd report it. I found the upstream commit that removes it, and linked it below.

** libdnf/utils/sqlite3/Sqlite3.cpp
 48 void
 49 SQLite3::close()
 50 {
 51     if (db == nullptr)
 52         return;
 53     auto result = sqlite3_close(db);
 54     if (result == SQLITE_BUSY) {
 55         sqlite3_stmt *res;
 56         while ((res = sqlite3_next_stmt(db, nullptr))) {
 57             sqlite3_finalize(res);
 58         }
 59         result = sqlite3_close(db);
 60     } else { <<<<<<<
 61     }
 62     if (result != SQLITE_OK) {
 63         throw LibException(result, "Close failed");
 64     }
 65     db = nullptr;
 66 }

Additional info: Upstream commit https://github.com/rpm-software-management/libdnf/commit/e5e652b6b207ac9ec48f8a5ca0882a6bde1c3806#diff-c7365e2d69b533523f7f6442fa23a0d9

Comment 5 errata-xmlrpc 2019-11-05 22:21:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.